APACHE(1)

NAME
mvnDebug - Command to start the Maven system in Debug mode

DESCRIPTION
usage: mvn [options] [<goal(s)>] [<phase(s)>]

OPTIONS

-am,--also-make
    If project list is specified, also build projects required by the list

-amd,--also-make-dependents
    If project list is specified, also build projects that depend on projects on the list

-B,--batch-mode
    Run in non-interactive (batch) mode

-C,--strict-checksums
    Fail the build if checksums don't match

-c,--lax-checksums
    Warn if checksums don't match

-cpu,--check-plugin-updates
    Force upToDate check for any relevant registered plugins

-D,--define <arg>
    Define a system property

-e,--errors
    Produce execution error messages

-emp,--encrypt-master-password <arg>
    Encrypt master security password

-ep,--encrypt-password <arg>
    Encrypt server password

-f,--file
    Force the use of an alternate POM file.

-fae,--fail-at-end
    Only fail the build afterwards; allow all non-impacted builds to continue

-ff,--fail-fast
    Stop at first failure in reactorized builds

-fn,--fail-never
    NEVER fail the build, regardless of project result

-gs,--global-settings <arg>
    Alternate path for the global settings file

-h,--help
    Display help information

-N,--non-recursive
    Do not recurse into sub-projects

-npr,--no-plugin-registry
    Don't use ~/.m2/plugin-registry.xml for plugin versions

-npu,--no-plugin-updates
    Suppress upToDate check for any relevant registered plugins

-o,--offline
    Work offline

-P,--activate-profiles <arg>
    Comma-delimited list of profiles to activate

-pl,--projects <arg>
    Build specified reactor projects instead of all projects

-q,--quiet
    Quiet output - only show errors

-r,--reactor
    Dynamically build reactor from subdirectories

-rf,--resume-from <arg>
    Resume reactor from specified project

-s,--settings <arg>
    Alternate path for the user settings file

-U,--update-snapshots
    Forces a check for updated releases and snapshots on remote repositories

-up,--update-plugins
    Synonym for cpu

-V,--show-version
    Display version information WITHOUT stopping build

-v,--version
    Display version information

-X,--debug
    Produce execution debug output

SEE ALSO
The full documentation for Apache is maintained as a Texinfo manual. If the info and Apache programs are properly installed at your site, the command

    info Apache

should give you access to the complete manual.